Skip to main content
GET
Greek Exposure

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

timeframe
string
default:1Y

The timeframe of the data to return. Can be one of the following formats:

  • YTD
  • 1D, 2D, etc.
  • 1W, 2W, etc.
  • 1M, 2M, etc.
  • 1Y, 2Y, etc.
Example:

"2M"

Response

call_charm
string

The sum of the charm values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"102382359.5786"

call_delta
string

The sum of the delta values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"227549667.4651"

call_gamma
string

The sum of the gamma values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"9356683.4241"

call_vanna
string

The sum of the vanna values of all call transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"152099632406.9564"

date
string

A trading date in ISO format.

Example:

"2023-09-08T00:00:00.000Z"

put_charm
string

The sum of the charm values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"-943028472.4815"

put_delta
string

The sum of the delta values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"-191893077.7193"

put_gamma
string

The sum of the gamma values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"-12337386.0524"

put_vanna
string

The sum of the vanna values of all put transactions that executed multiplied by the open interest and the number of shares per contract (typically 100 shares per contract).

Example:

"488921784213.1121"

Last modified on September 29, 2026